#include<bits/stdc++.h>

using namespace std;

int n,k,niz[100005],m;

int main()
{
    cin>>n>>k;
    for(int i=1;i<=n;i++)
    {
        cin>>niz[i];
        if(niz[i]==k)
            m=i;
    }
    if(m==n) m=0;
    cout<<niz[m+1]<<endl;

    return 0;
}